Skip to main content
Get Dash Tile Definition

Authorizations

Authorization
string
header
required

SuperOffice username:password are passed in Base64-encoded.

You can also pass inn an unencoded ticket 7T:abc== with the HTTP Authenticate header.

Authorization
string
header
required

SuperOffice SuperId OAuth implicit flow. You need to issue a request to the SuperId authorization URL https://online.superoffice.com/login/common/oauth/authorize?response_type=token &client_id=670734e0-4c5a-11e3-be9e-a171392e81db &redirect_uri=https://example.com/spa/

passing in the application id and redirect URL.

SuperId will log the user in, and redirect to the requested redirect URL with a #payload containing the access token and claims. (The redirect URL must be registered with SuperId in advance)

https://example.com/spa#access_token=8A%3aCust12227.AXRrCITpPBvQX3UbIohb &token_type=bearer &state= &expires_in=3600 &ctx=Cust12227 &netserver_url=https%3a%2f%2fsod.superoffice.com%2fCust12227%2fRemote%2fServices82%2f

You can take the #access_token value and pass it as the Authenticate HTTP header as a BEARER token.

FlowImplicit
Authorization URL
https://online.superoffice.com/login/common/oauth/authorize

Headers

Accept-Language
string

Convert string references and multi-language values into a specified language (iso2) code.

SO-Language
string

Convert string references and multi-language values into a specified language (iso2) code. Overrides Accept-Language value.

SO-Culture
string

Number, date formatting in a specified culture (iso2 language) code. Partially overrides SO-Language/Accept-Language value. Ignored if no Language set.

SO-TimeZone
string

Specify the timezone code that you would like date/time responses converted to.

SO-AppToken
string

The application token that identifies the partner app. Used when calling Online WebAPI from a server.

Query Parameters

dashTileDefinitionId
integer<int32>
required

The identifier of the DashTileDefinition object

$select
string

Optional comma separated list of properties to include in the result. Other fields are then nulled out to reduce payload size: "Name,department,category". Default = show all fields.

Response

OK

Dashboard Tile definition Carrier object for DashTileDefinition. Services for the DashTileDefinition Carrier is available from the Dash Agent.

DashboardTileDefinitionId
integer<int32>

Primary key

Name
string

The name of the tile

Description
string

Detailed description

DefaultHeight
integer<int32>

Default height when added to a dashboard

DefaultWidth
integer<int32>

Default width when added to a dashboard

TileType
enum<string>

Dashboard tile type

Available options:
None,
Pie,
List,
BigNum,
Bar,
Line,
Area,
Column,
CombinedBarLine,
CombinedColumnLine,
WebPanel,
HTML,
Gauge,
Funnel
EntityType
enum<string>

Dashboard entity type

Available options:
None,
Contact,
Sale,
Project,
Appointment,
Person
EntityName
string

The entity measured by this tile, defines what provider to use

SelectionId
integer<int32>

Selection holding the criterias for the tile definition

CurrencyMode
enum<string>

Dashboard currency mode

Available options:
None,
Base,
Own,
Specified
CurrencyCode
string

Currency code

Measure
enum<string>

Dashboard measure type (Count, Sum, Avg, etc.)

Available options:
None,
CountAll,
Sum,
Average,
Max,
Min,
Count
MeasureField
string

Field to be measured

SortBy
string

Sort by field

LayoutConfig
string

The JSON formatted layout config

SecondarySelectionId
integer<int32>

Selection holding the replaced or changed criterias (period comparisons etc)

MeasureByField
string

Field to group by

Usage
enum<string>

Where this tile can be used

Available options:
None,
Dashboard,
Selection
ProviderName
string

Name of provider to use with this entity type - read only property

TableRight
object

Wraps a table right together with an explanatory reason. Code can indicate why access is restricted.

FieldProperties
object

Field property dictionary mapping field names to field access rights.